
import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;

import br.com.correios.logisticareversa.service.LogisticaReversaWS;

public class HelloWorldWSClient {
	
	private static final String WS_URL = "https://apphom.correios.com.br/logisticaReversaWS/logisticaReversaService/logisticaReversaWS?wsdl";

	static {
		java.net.Authenticator.setDefault(new java.net.Authenticator() {
			@Override
			protected java.net.PasswordAuthentication getPasswordAuthentication() {
				return new java.net.PasswordAuthentication("empresacws", "123456".toCharArray());
			}
		});
	}

	
	public static void main(String[] args) throws Exception {

		URL url = new URL(WS_URL);
        QName qname = new QName("http://service.logisticareversa.correios.com.br/", "logisticaReversaService");

        Service service = Service.create(url, qname);
        LogisticaReversaWS hello = service.getPort(LogisticaReversaWS.class);
        
        /*
        Map<String, Object> req_ctx = ((BindingProvider)hello).getRequestContext();
        req_ctx.put(BindingProvider.ENDPOINT_ADDRESS_PROPERTY, WS_URL);

        Map<String, List<String>> headers = new HashMap<String, List<String>>();
        headers.put("Username", Collections.singletonList("empresacws"));
        headers.put("Password", Collections.singletonList("123456"));
        req_ctx.put(MessageContext.HTTP_REQUEST_HEADERS, headers);
        
        */
        System.out.println(hello.calcularDigitoVerificador("12345678").getDigito());
       
    }
}

